Loading...
Searching...
No Matches
lascl: Scale matrix by scalar
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A = \alpha A\) More...

## Functions

void | magmablas_clascl (magma_type_t type, magma_int_t kl, magma_int_t ku, float cfrom, float cto, magma_int_t m, magma_int_t n, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| CLASCL multiplies the M by N complex matrix A by the real scalar CTO/CFROM.
void | magmablas_dlascl (magma_type_t type, magma_int_t kl, magma_int_t ku, double cfrom, double cto, magma_int_t m, magma_int_t n, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| DLASCL multiplies the M by N real matrix A by the real scalar CTO/CFROM.
void | magmablas_slascl (magma_type_t type, magma_int_t kl, magma_int_t ku, float cfrom, float cto, magma_int_t m, magma_int_t n, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| SLASCL multiplies the M by N real matrix A by the real scalar CTO/CFROM.
void | magmablas_zlascl (magma_type_t type, magma_int_t kl, magma_int_t ku, double cfrom, double cto, magma_int_t m, magma_int_t n, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| ZLASCL multiplies the M by N complex matrix A by the real scalar CTO/CFROM.

## Detailed Description

\(A = \alpha A\)

## Function Documentation

## magmablas_clascl()

void magmablas_clascl | ( | magma_type_t | type,
|  | magma_int_t | kl,
|  | magma_int_t | ku,
|  | float | cfrom,
|  | float | cto,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

CLASCL multiplies the M by N complex matrix A by the real scalar CTO/CFROM.

This is done without over/underflow as long as the final result CTO*A(I,J)/CFROM does not over/underflow. TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | kl | INTEGER Unused, for LAPACK compatability.
  [in] | ku | KU is INTEGER Unused, for LAPACK compatability.
  [in] | cfrom | REAL
  [in] | cto | REAL The matrix A is multiplied by CTO/CFROM. A(I,J) is computed without over/underflow if the final result CTO*A(I,J)/CFROM can be represented without over/underflow. CFROM must be nonzero. CFROM and CTO must not be NAN.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) The matrix to be multiplied by CTO/CFROM. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlascl()

void magmablas_dlascl | ( | magma_type_t | type,
|  | magma_int_t | kl,
|  | magma_int_t | ku,
|  | double | cfrom,
|  | double | cto,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

DLASCL multiplies the M by N real matrix A by the real scalar CTO/CFROM.

This is done without over/underflow as long as the final result CTO*A(I,J)/CFROM does not over/underflow. TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | kl | INTEGER Unused, for LAPACK compatability.
  [in] | ku | KU is INTEGER Unused, for LAPACK compatability.
  [in] | cfrom | DOUBLE PRECISION
  [in] | cto | DOUBLE PRECISION The matrix A is multiplied by CTO/CFROM. A(I,J) is computed without over/underflow if the final result CTO*A(I,J)/CFROM can be represented without over/underflow. CFROM must be nonzero. CFROM and CTO must not be NAN.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The matrix to be multiplied by CTO/CFROM. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slascl()

void magmablas_slascl | ( | magma_type_t | type,
|  | magma_int_t | kl,
|  | magma_int_t | ku,
|  | float | cfrom,
|  | float | cto,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

SLASCL multiplies the M by N real matrix A by the real scalar CTO/CFROM.

This is done without over/underflow as long as the final result CTO*A(I,J)/CFROM does not over/underflow. TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | kl | INTEGER Unused, for LAPACK compatability.
  [in] | ku | KU is INTEGER Unused, for LAPACK compatability.
  [in] | cfrom | REAL
  [in] | cto | REAL The matrix A is multiplied by CTO/CFROM. A(I,J) is computed without over/underflow if the final result CTO*A(I,J)/CFROM can be represented without over/underflow. CFROM must be nonzero. CFROM and CTO must not be NAN.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in,out] | dA | REAL array, dimension (LDDA,N) The matrix to be multiplied by CTO/CFROM. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlascl()

void magmablas_zlascl | ( | magma_type_t | type,
|  | magma_int_t | kl,
|  | magma_int_t | ku,
|  | double | cfrom,
|  | double | cto,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

ZLASCL multiplies the M by N complex matrix A by the real scalar CTO/CFROM.

This is done without over/underflow as long as the final result CTO*A(I,J)/CFROM does not over/underflow. TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | kl | INTEGER Unused, for LAPACK compatability.
  [in] | ku | KU is INTEGER Unused, for LAPACK compatability.
  [in] | cfrom | DOUBLE PRECISION
  [in] | cto | DOUBLE PRECISION The matrix A is multiplied by CTO/CFROM. A(I,J) is computed without over/underflow if the final result CTO*A(I,J)/CFROM can be represented without over/underflow. CFROM must be nonzero. CFROM and CTO must not be NAN.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in,out] | dA | COMPLEX*16 array, dimension (LDDA,N) The matrix to be multiplied by CTO/CFROM. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.